import { Command } from '@oclif/command';
import * as Config from '@oclif/config';
import ConfigRepository from '../config/ConfigRepository';
import { Decorator, Factory, OpenApiSpec, Parser } from '@comet-cli/types';
import Logger from '../helpers/Logger';
import File from '../helpers/File';
export default abstract class BaseCommand extends Command {
    protected configRepository: ConfigRepository;
    protected parser: Parser;
    protected decorators: Decorator[];
    protected factories: Factory[];
    protected logger: Logger;
    protected signature: string | undefined;
    protected configKey: string | undefined;
    protected warnings: string[];
    constructor(argv: string[], config: Config.IConfig);
    protected resolve(): Promise<void>;
    protected loadFile(args: {
        input: string;
    }): Promise<File>;
    protected parseSpec(file: File): Promise<OpenApiSpec>;
    protected runFactories(specification: OpenApiSpec): Promise<void>;
    protected runDecorators(specification: OpenApiSpec): Promise<void>;
    protected printWarnings(): void;
}
