"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Helpers_1 = require("../helpers/Helpers");
const cosmiconfig = require('cosmiconfig');
const assign = require('assign-deep');
const defaultConfig = require('./default');
class ConfigResolver {
    static execute() {
        const explorer = cosmiconfig('comet', {
            searchPlaces: [
                'package.json',
                '.cometrc',
                '.cometrc.js',
                '.cometrc.toml',
            ],
            loaders: {
                '.toml': Helpers_1.parseToml,
            },
        });
        const config = explorer.searchSync();
        if (config && config.config) {
            return assign({}, defaultConfig, config.config);
        }
        return defaultConfig;
    }
}
exports.default = ConfigResolver;
//# sourceMappingURL=ConfigResolver.js.map