import { FileInformation } from '@comet-cli/types';
export default class File {
    absolutePath: string;
    filePath: string;
    segments: FileInformation;
    constructor(filePath: string);
    static find(file: string): File;
    size(): number;
    static exists(file: string): boolean;
    delete(): void;
    name(): string;
    nameWithoutExtension(): string;
    extension(): string;
    path(): string;
    relativePath(): string;
    pathWithoutExtension(): string;
    base(): string;
    isDirectory(): boolean;
    isFile(): boolean;
    write(body: object | string): File;
    read(): string;
    copyTo(destination: string): File;
    rename(to: string): File;
    parse(): FileInformation;
}
