"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const signale_1 = require("signale");
const Ora = require("ora");
const options = {
    disabled: false,
    interactive: false,
    stream: process.stdout,
    scope: 'comet',
    types: {
        comet: {
            badge: '🌠',
            color: 'cyanBright',
            label: 'comet',
        },
    },
};
class Logger {
    constructor() {
        this.console = new signale_1.Signale(options);
        this.spinner = new Ora({ spinner: 'star' });
    }
    comet(message) {
        this.console.comet(message);
    }
    spin(message) {
        this.spinner.text = message;
        if (this.spinner.isSpinning === false) {
            this.spinner.start();
        }
    }
    succeed(message) {
        if (this.spinner.isSpinning === true) {
            this.spinner.succeed(message);
        }
    }
    fail(message) {
        if (this.spinner.isSpinning === true) {
            this.spinner.fail(message);
        }
    }
    warn(message) {
        this.console.warn(message);
    }
}
exports.default = Logger;
//# sourceMappingURL=Logger.js.map